Bug 1607618 (CVE-2018-10913) - CVE-2018-10913 glusterfs: Information Exposure in posix_get_file_contents function in posix-helpers.c
Summary: CVE-2018-10913 glusterfs: Information Exposure in posix_get_file_contents fu...
Status: NEW
Alias: CVE-2018-10913
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180904:0530,repor...
Keywords: Security
Depends On: 1625076 1608363 1610123 1616829 1625074 1625102 1625286
Blocks: 1607620
TreeView+ depends on / blocked
 
Reported: 2018-07-23 20:22 UTC by Laura Pardo
Modified: 2018-11-05 23:14 UTC (History)
31 users (show)

Fixed In Version: glusterfs-3.12.14, glusterfs-4.1.4
Doc Type: If docs needed, set a value
Doc Text:
An information disclosure vulnerability was discovered in glusterfs server. An attacker could issue a xattr request via glusterfs FUSE to determine the existence of any file.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:24 UTC
Red Hat Product Errata RHSA-2018:2608 None None None 2018-09-04 06:26 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 14:57 UTC

Description Laura Pardo 2018-07-23 20:22:34 UTC
A flaw was found in GlusterFS. An Information Exposure vulnerability due to an improper implementation of the glusterfs.file function. An attacker could exploit this to obtain information about the files available.

Comment 2 Laura Pardo 2018-07-24 16:45:37 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 8 Siddharth Sharma 2018-09-04 05:42:21 UTC
Created glusterfs tracking bugs for this issue:

Affects: fedora-all [bug 1625074]

Comment 10 errata-xmlrpc 2018-09-04 06:24:47 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2018:2607 https://access.redhat.com/errata/RHSA-2018:2607

Comment 11 errata-xmlrpc 2018-09-04 06:26:12 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 6
  Native Client for RHEL 6 for Red Hat Storage

Via RHSA-2018:2608 https://access.redhat.com/errata/RHSA-2018:2608

Comment 12 Siddharth Sharma 2018-09-04 07:53:45 UTC
upstream fix:

https://review.gluster.org/21071

Comment 13 Siddharth Sharma 2018-09-04 13:44:54 UTC
Mitigation:

SELinux mitigates this issue on Red Hat Gluster Storage 3. SELinux should be in enforcing mode only as permissive mode does not block attacks.

Comment 14 Doran Moppert 2018-09-06 04:43:40 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and 7 as the flaw is present in glusterfs-server, which is not shipped there.

This flaw affects glusterfs versions included in Red Hat Virtualization 4 Hypervisor. However, in recommended configurations, the vulnerability is only exposed to hypervisor administrators and can not be exploited from virtual machines or other hosts on the network.

Comment 15 errata-xmlrpc 2018-11-05 14:56:51 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:3470 https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.